package com.bootdo.data.service.impl;

import com.bootdo.data.service.CaDetailService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import com.bootdo.data.domain.CaDetail;

import java.util.List;

import com.bootdo.data.dao.CaDetailMapper;
import com.bootdo.data.domain.CaDetailExample;

@Service
public class CaDetailServiceImpl implements CaDetailService {

    @Resource
    private CaDetailMapper caDetailMapper;

    @Override
    public long countByExample(CaDetailExample example) {
        return caDetailMapper.countByExample(example);
    }

    @Override
    public int deleteByExample(CaDetailExample example) {
        return caDetailMapper.deleteByExample(example);
    }

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return caDetailMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(CaDetail record) {
        return caDetailMapper.insert(record);
    }

    @Override
    public int insertSelective(CaDetail record) {
        return caDetailMapper.insertSelective(record);
    }

    @Override
    public List<CaDetail> selectByExample(CaDetailExample example) {
        return caDetailMapper.selectByExample(example);
    }

    @Override
    public CaDetail selectByPrimaryKey(Integer id) {
        return caDetailMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByExampleSelective(CaDetail record, CaDetailExample example) {
        return caDetailMapper.updateByExampleSelective(record, example);
    }

    @Override
    public int updateByExample(CaDetail record, CaDetailExample example) {
        return caDetailMapper.updateByExample(record, example);
    }

    @Override
    public int updateByPrimaryKeySelective(CaDetail record) {
        return caDetailMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(CaDetail record) {
        return caDetailMapper.updateByPrimaryKey(record);
    }

}
